## org.apache.mahout.cf.taste.similarity.precompute.example
Class BatchItemSimilaritiesGroupLens

    java.lang.Object
      org.apache.mahout.cf.taste.similarity.precompute.example.BatchItemSimilaritiesGroupLens

    public final class BatchItemSimilaritiesGroupLens

extends Object

Example that precomputes all item similarities of the Movielens1M dataset Usage: download movielens1M from http://www.grouplens.org/node/73 , unzip it and invoke this code with the path to the ratings.dat file as argument

Method Summary
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.